Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Interface LayoutManager

All Known Subinterfaces:
  LayoutManager2

All Known Implementing Classes:
  GridLayout, FlowLayout, ViewportLayout, ScrollPaneLayout, BasicOptionPaneUI.ButtonAreaLayout, BasicTabbedPaneUI.TabbedPaneLayout, BasicInternalFrameTitlePane.TitlePaneLayout, BasicScrollBarUI, BasicInternalFrameUI.InternalFrameLayout, BasicComboBoxUI.ComboBoxLayoutManager, BasicSplitPaneDivider.DividerLayout

public interface LayoutManager

Defines the interface for classes that know how to layout Containers.

See Also:
  `Container`

Method Summary
`void` | `addLayoutComponent(String name, Component comp)` Adds the specified component with the specified name to the layout.
`void` | `layoutContainer(Container parent)` Lays out the container in the specified panel.
`Dimension` | `minimumLayoutSize(Container parent)` Calculates the minimum size dimensions for the specified panel given the components in the specified parent container.
`Dimension` | `preferredLayoutSize(Container parent)` Calculates the preferred size dimensions for the specified panel given the components in the specified parent container.
`void` | `removeLayoutComponent(Component comp)` Removes the specified component from the layout.

Method Detail

### addLayoutComponent

    public void addLayoutComponent(String name,
                                   Component comp)

  Adds the specified component with the specified name to the layout.
  Parameters:
    `name` - the component name
    `comp` - the component to be added

### removeLayoutComponent

    public void removeLayoutComponent(Component comp)

  Removes the specified component from the layout.
  Parameters:
    `comp` - the component to be removed

### preferredLayoutSize

    public Dimension preferredLayoutSize(Container parent)

  Calculates the preferred size dimensions for the specified panel given the components in the specified parent container.
  Parameters:
    `parent` - the component to be laid out
  See Also:
    `minimumLayoutSize(java.awt.Container)`

### minimumLayoutSize

    public Dimension minimumLayoutSize(Container parent)

  Calculates the minimum size dimensions for the specified panel given the components in the specified parent container.
  Parameters:
    `parent` - the component to be laid out
  See Also:
    `preferredLayoutSize(java.awt.Container)`

### layoutContainer

    public void layoutContainer(Container parent)

  Lays out the container in the specified panel.
  Parameters:
    `parent` - the component which needs to be laid out

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.